LookupAutoCompletitionDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.lookup.client
Class LookupAutoCompletitionDataLocator

    java.lang.Object
      org.openswing.swing.lookup.client.LookupAutoCompletitionDataLocator

All Implemented Interfaces:
  AutoCompletitionDataLocator

public class LookupAutoCompletitionDataLocator
extends java.lang.Object
implements AutoCompletitionDataLocator

Title: OpenSwing Framework

Description: data locator used to retrieve a list of data to show in a window.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`LookupAutoCompletitionDataLocator(LookupController controller, java.lang.String codeAttribute)` Constructor invoked by lookup.

Method Summary
`java.util.ArrayList` | `getListOfData(java.lang.Object pattern)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupAutoCompletitionDataLocator

    public LookupAutoCompletitionDataLocator(LookupController controller,
                                             java.lang.String codeAttribute)

  Constructor invoked by lookup.

Parameters:
  `controller` - lookup controller
  `codeAttribute` - attribute name in parent v.o. related to lookup code

Method Detail

### getListOfData

    public final java.util.ArrayList getListOfData(java.lang.Object pattern)

  Specified by:
    `getListOfData` in interface `AutoCompletitionDataLocator`
  Parameters:
    `pattern` - pattern to use to filter the list of data
  Returns:
    list of data to show in a window, where each data starts with the specified pattern

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD